Vulnerability & Exploit Database

Back to search

Oracle Solaris 11: CVE-2017-7526: Vulnerability in Libgcrypt

Severity CVSS Published Added Modified
4 (AV:L/AC:M/Au:N/C:P/I:P/A:P) November 30, 2017 November 30, 2017 July 30, 2018

Description

libgcrypt before version 1.7.8 is vulnerable to a cache side-channel attack resulting into a complete break of RSA-1024 while using the left-to-right method for computing the sliding-window expansion. The same attack is believed to work on RSA-2048 with moderately more computation. This side-channel requires that attacker can run arbitrary software on the hardware where the private RSA key is used.

Scan For This Vulnerability

Use our top-rated tool to discover, prioritize, and remediate your vulnerabilities

 Free InsightVM Trial

References

Solution

oracle-solaris-11-3-upgrade-system-library-security-libgcrypt-1-7-8-0-175-3-25-0-3-0

Related Vulnerabilities